> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger a statement reports generation for an end user

> Request a Finicity statement reports generation for end user. Reports will be generated for each account available and each month going back in time between min_statement_index and max_statement_index. When the report is ready it will be available as EndUserFile.




## OpenAPI

````yaml https://app.herondata.io/swagger post /api/end_users/{end_user_id_or_heron_id}/finicity/request_statement_reports
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/finicity/request_statement_reports:
    post:
      tags:
        - Integrations
      summary: Trigger a statement reports generation for an end user
      description: >
        Request a Finicity statement reports generation for end user. Reports
        will be generated for each account available and each month going back
        in time between min_statement_index and max_statement_index. When the
        report is ready it will be available as EndUserFile.
      parameters:
        - in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FinicityRequestStatementReportsSchema'
        required: true
      responses:
        '202':
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    FinicityRequestStatementReportsSchema:
      properties:
        max_statement_index:
          default: 24
          type: integer
        min_statement_index:
          default: 1
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````